#! /bin/bash
echo "Building binary archive"
echo "Lookup environment ..."
version=`sed "s/^tclp__version('\([^']*\)'.*$/\1/" < src/tclp/version.pl`
echo "version: $version"
local_dir=tclp-$version
tgz=tclp-$(arch)-$(uname)-$version.tgz
echo "archive name: $tgz"
echo "Making doc ... "
(cd doc; make)
echo "done"
echo "Compiling ... "
(cd src; ./filter.sh ./compile.sh)
echo "done"
echo "Archiving ... "
mkdir $local_dir
for i in lib/* ; do
    if [ -d $i -a $i != lib/CVS ] 
    then tar cf - $i/*.typ | (cd $local_dir; tar xf -)
    fi
done
tar cf - COPYING LGPL CHANGELOG | (cd $local_dir; tar xf -)
./cpdoc.sh $local_dir
cp bin/tclp $local_dir
cp  install.sh $local_dir/install.sh
tar cf - $local_dir | gzip -c > $tgz
rm -rf $local_dir
echo "done"

