#! /bin/bash
echo "Building source archive"
echo "Lookup environment ..."
version=`sed "s/^tclp__version('\([^']*\)'.*$/\1/" < src/tclp/version.pl`
local_dir=tclp-$version
tgz=tclp-src-$version.tgz
echo "version: $version"
echo "archive name: $tgz"
echo "Archiving ... "
mkdir $local_dir
for i in lib/* ; do
    if [ -d $i -a $i != lib/CVS ] 
    then tar cf - $i/*.typ | (cd $local_dir; tar xf -)
    fi
done
tar cf - COPYING LGPL CHANGELOG src/*.pl src/tclp/*.pl src/*.sh make_bin_distrib.sh make_src_distrib.sh make_prolog_distrib.sh make_distribs.sh install.sh doc/[^C]* | (cd $local_dir; tar xf -)
tar cf - $local_dir | gzip -c > $tgz
rm -rf $local_dir
echo "done"
